/*----------------------------------------------------------------------------
------------------------------------------------------------------------------*/

#ifndef _HW_I2C_H_
	#define _HW_I2C_H_

#if (__GNUC__ * 100 + __GNUC_MINOR__) < 304
#error "This library requires AVR-GCC 3.4 or later, update to newer AVR-GCC compiler !"
#endif

#include <avr/io.h>


#define I2C_READFLAG    1	//defines the data direction
#define I2C_WRITEFLAG   0
#define SCL_CLOCK  50000L	// I2C clock in Hz


//----------------------------------------------------------------------------
// Makros

//----------------------------------------------------------------------------
// Konstante


//----------------------------------------------------------------------------
// Variable


//----------------------------------------------------------------------------
// Prototypen

	
void i2c_init(void);
unsigned char i2c_start(unsigned char address);
unsigned char i2c_start_wait(unsigned char address, unsigned char ms);
unsigned char i2c_rep_start(unsigned char address);
void i2c_stop(void);
unsigned char i2c_write( unsigned char data );
unsigned char i2c_readAck(void);
unsigned char i2c_readNak(void);

void i2c_2ndack(void);

//Implemented as a macro, which calls either i2c_readAck or i2c_readNak
extern unsigned char i2c_read(unsigned char ack);
#define i2c_read(ack)  (ack) ? i2c_readAck() : i2c_readNak(); 

#endif
