/*----------------------------------------------------------------------------
------------------------------------------------------------------------------*/

#ifndef _MAIN_H_
	#define _MAIN_H_

//----------------------------------------------------------------------------
// Makros
#define LED_GR_AUS	PORTC |= (1<<2);
#define LED_GE_AUS	PORTC |= (1<<3);
#define LED_GR_EIN	PORTC &=~ (1<<2);
#define LED_GE_EIN	PORTC &=~ (1<<3);

//----------------------------------------------------------------------------
// Konstante
#define fw_version	101
#define hw_version	100

//----------------------------------------------------------------------------
// Variable
#define USB_BUFFER_SIZE	129
unsigned char usb_rcv_buffer[USB_BUFFER_SIZE];
unsigned char usb_send_buffer[USB_BUFFER_SIZE];
unsigned int g_readpointer = 0;
unsigned int g_readadres = 0;
unsigned int g_readcount = 0;
unsigned char g_readgoon = 0;
unsigned char g_readready4next = 0;
unsigned char g_chipid = 160;



//----------------------------------------------------------------------------
// Prototypen

// Prototyp fr Befehlsfunktion
typedef void(*cmd_fp)(void);

typedef struct
{
	const char* cmd;		// Stringzeiger auf Befehlsnamen
	cmd_fp		fp;			// Zeiger auf auszufhrende Funktion
} CMD_ITEM;	

void cmd_info(void);
void cmd_read(void);
void cmd_chck(void);
void cmd_writ(void);
void cmd_wait(void);
void cmd_firm(void);
	
void getcommand(void);
void want_reset(void);
void error(void);
void ok(void);

#endif
